#3435 closed task (fixed)

Add test case for CONFIGURE_BSP_PREREQUISITE_DRIVERS configuration option

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

This configuration option is untested

Change History (3)

comment:1 Changed on May 25, 2018 at 3:09:24 PM by Joel Sherrill

Resolution: wontfix
Status: assignedclosed

It is used in deployed use code. Off the top of my head, it was used on a custom erc32 board to initialize a VMEBus and associated hardware before any other drivers were initialized. This was very specifically needed to extend -- not modify -- an existing BSP.

If you want a test added, great. But this has a very legitimate use case. It should not be deleted.

comment:2 Changed on May 28, 2018 at 5:01:33 AM by Sebastian Huber

Description: modified (diff)
Resolution: wontfix
Status: closedreopened
Summary: Remove CONFIGURE_BSP_PREREQUISITE_DRIVERS configuration optionAdd test case for CONFIGURE_BSP_PREREQUISITE_DRIVERS configuration option

comment:3 Changed on Sep 6, 2018 at 5:12:56 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: reopenedclosed

In 0e907232/rtems:

sptests/spconfig01: New test

Close #3435.

Note: See TracTickets for help on using tickets.